From: John Crispin <john@openwrt.org>
Date: Sun, 18 Jan 2015 09:40:47 +0000 (+0000)
Subject: lantiq: Fix initscript issue
X-Git-Url: http://demsky.eecs.uci.edu/git/?a=commitdiff_plain;h=c80b429fc17ddb52570c634f8d93e562d09468b6;p=lede.git

lantiq: Fix initscript issue

Currently this initscript fails if the macaddr has any leading zeroes.
This patch corrects the problem.

Signed-off-by: Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>

SVN-Revision: 44029
---

diff --git a/target/linux/lantiq/base-files/etc/init.d/esi b/target/linux/lantiq/base-files/etc/init.d/esi
index 5635b5361b..ca79070c9e 100755
--- a/target/linux/lantiq/base-files/etc/init.d/esi
+++ b/target/linux/lantiq/base-files/etc/init.d/esi
@@ -3,5 +3,5 @@
 
 START=19
 start() {
-	esi $(printf '%X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/null || :
+	esi $(printf '%012X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/console || :
 }